def includeme(config):
    config.add_route("home", "/")
    config.add_route("login", "/login")
    config.add_route("v1_login", "/v1/login")
    config.add_route("logout", "/logout")
    config.add_route("v1_auth", "/v1/auth")

    config.add_route("v1_devices_new", "/v1/devices/new")
    config.add_route("v1_devices_id", "/v1/devices/{id}")
    config.add_route("v1_devices_list", "/v1/devices")
    config.add_route("devices_new", "/devices/new")
    config.add_view(
        "barker.views.home", route_name="devices_new", request_method="GET", permission="Tables",
    )
    config.add_route("devices_id", "/devices/{id}")
    config.add_view(
        "barker.views.home", route_name="devices_id", request_method="GET", permission="Tables",
    )
    config.add_route("devices_list", "/devices")
    config.add_view(
        "barker.views.home", route_name="devices_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_guest_book_new", "/v1/guest-book/new")
    config.add_route("v1_guest_book_id", "/v1/guest-book/{id}")
    config.add_route("v1_guest_book_list", "/v1/guest-book")
    config.add_route("guest_book_new", "/guest-book/new")
    config.add_view(
        "barker.views.home", route_name="guest_book_new", request_method="GET", permission="Guest Book",
    )
    config.add_route("guest_book_id", "/guest-book/{id}")
    config.add_view(
        "barker.views.home", route_name="guest_book_id", request_method="GET", permission="Guest Book",
    )
    config.add_route("guest_book_list", "/guest-book")
    config.add_view(
        "barker.views.home", route_name="guest_book_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_menu_categories_new", "/v1/menu-categories/new")
    config.add_route("v1_menu_categories_id", "/v1/menu-categories/{id}")
    config.add_route("v1_menu_categories_list", "/v1/menu-categories")
    config.add_route("menu_categories_new", "/menu-categories/new")
    config.add_view(
        "barker.views.home", route_name="menu_categories_new", request_method="GET", permission="Products",
    )
    config.add_route("menu_categories_id", "/menu-categories/{id}")
    config.add_view(
        "barker.views.home", route_name="menu_categories_id", request_method="GET", permission="Products",
    )
    config.add_route("menu_categories_list", "/menu-categories")
    config.add_view(
        "barker.views.home", route_name="menu_categories_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_modifier_categories_new", "/v1/modifier-categories/new")
    config.add_route("v1_modifier_categories_id", "/v1/modifier-categories/{id}")
    config.add_route("v1_modifier_categories_list", "/v1/modifier-categories")
    config.add_route("modifier_categories_new", "/modifier-categories/new")
    config.add_view(
        "barker.views.home", route_name="modifier_categories_new", request_method="GET", permission="Products",
    )
    config.add_route("modifier_categories_id", "/modifier-categories/{id}")
    config.add_view(
        "barker.views.home", route_name="modifier_categories_id", request_method="GET", permission="Products",
    )
    config.add_route("modifier_categories_list", "/modifier-categories")
    config.add_view(
        "barker.views.home", route_name="modifier_categories_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_modifiers_new", "/v1/modifiers/new")
    config.add_route("v1_modifiers_id", "/v1/modifiers/{id}")
    config.add_route("v1_modifiers_list", "/v1/modifiers")
    config.add_route("modifiers_new", "/modifiers/new")
    config.add_view(
        "barker.views.home", route_name="modifiers_new", request_method="GET", permission="Products",
    )
    config.add_route("modifiers_id", "/modifiers/{id}")
    config.add_view(
        "barker.views.home", route_name="modifiers_id", request_method="GET", permission="Products",
    )
    config.add_route("modifiers_list", "/modifiers")
    config.add_view(
        "barker.views.home", route_name="modifiers_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_printers_new", "/v1/printers/new")
    config.add_route("v1_printers_id", "/v1/printers/{id}")
    config.add_route("v1_printers_list", "/v1/printers")
    config.add_route("printers_new", "/printers/new")
    config.add_view(
        "barker.views.home", route_name="printers_new", request_method="GET", permission="Printers",
    )
    config.add_route("printers_id", "/printers/{id}")
    config.add_view(
        "barker.views.home", route_name="printers_id", request_method="GET", permission="Printers",
    )
    config.add_route("printers_list", "/printers")
    config.add_view(
        "barker.views.home", route_name="printers_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_products_new", "/v1/products/new")
    config.add_route("v1_products_id", "/v1/products/{id}")
    config.add_route("v1_products_list", "/v1/products")
    config.add_route("products_new", "/products/new")
    config.add_view(
        "barker.views.home", route_name="products_new", request_method="GET", permission="Products",
    )
    config.add_route("products_id", "/products/{id}")
    config.add_view(
        "barker.views.home", route_name="products_id", request_method="GET", permission="Products",
    )
    config.add_route("products_list", "/products")
    config.add_view(
        "barker.views.home", route_name="products_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_roles_new", "/v1/roles/new")
    config.add_route("v1_roles_id", "/v1/roles/{id}")
    config.add_route("v1_roles_list", "/v1/roles")
    config.add_route("roles_new", "/roles/new")
    config.add_view(
        "barker.views.home", route_name="roles_new", request_method="GET", permission="Users",
    )
    config.add_route("roles_id", "/roles/{id}")
    config.add_view(
        "barker.views.home", route_name="roles_id", request_method="GET", permission="Users",
    )
    config.add_route("roles_list", "/roles")
    config.add_view(
        "barker.views.home", route_name="roles_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_sale_categories_new", "/v1/sale-categories/new")
    config.add_route("v1_sale_categories_id", "/v1/sale-categories/{id}")
    config.add_route("v1_sale_categories_list", "/v1/sale-categories")
    config.add_route("sale_categories_new", "/sale-categories/new")
    config.add_view(
        "barker.views.home", route_name="sale_categories_new", request_method="GET", permission="Products",
    )
    config.add_route("sale_categories_id", "/sale-categories/{id}")
    config.add_view(
        "barker.views.home", route_name="sale_categories_id", request_method="GET", permission="Products",
    )
    config.add_route("sale_categories_list", "/sale-categories")
    config.add_view(
        "barker.views.home", route_name="sale_categories_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_section_printers", "/v1/section-printers")
    config.add_route("v1_section_printers_id", "/v1/section-printers/{section_id}")
    config.add_route("section_printers_id", "/section-printers/{section_id}")
    config.add_view(
        "barker.views.home", route_name="section_printers_id", request_method="GET", permission="Tables",
    )
    config.add_route("section_printers", "/section-printers")
    config.add_view(
        "barker.views.home", route_name="section_printers", request_method="GET", permission="Tables",
    )

    config.add_route("v1_sections_new", "/v1/sections/new")
    config.add_route("v1_sections_id", "/v1/sections/{id}")
    config.add_route("v1_sections_list", "/v1/sections")
    config.add_route("sections_new", "/sections/new")
    config.add_view(
        "barker.views.home", route_name="sections_new", request_method="GET", permission="Tables",
    )
    config.add_route("sections_id", "/sections/{id}")
    config.add_view(
        "barker.views.home", route_name="sections_id", request_method="GET", permission="Tables",
    )
    config.add_route("sections_list", "/sections")
    config.add_view(
        "barker.views.home", route_name="sections_list", request_method="GET", permission="Tables",
    )

    config.add_route("v1_tables_new", "/v1/tables/new")
    config.add_route("v1_tables_id", "/v1/tables/{id}")
    config.add_route("v1_tables_list", "/v1/tables")
    config.add_route("tables_new", "/tables/new")
    config.add_view(
        "barker.views.home", route_name="tables_new", request_method="GET", permission="Tables",
    )
    config.add_route("tables_id", "/tables/{id}")
    config.add_view(
        "barker.views.home", route_name="tables_id", request_method="GET", permission="Tables",
    )
    config.add_route("tables_list", "/tables")
    config.add_view(
        "barker.views.home", route_name="tables_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_taxes_new", "/v1/taxes/new")
    config.add_route("v1_taxes_id", "/v1/taxes/{id}")
    config.add_route("v1_taxes_list", "/v1/taxes")
    config.add_route("taxes_new", "/taxes/new")
    config.add_view(
        "barker.views.home", route_name="taxes_new", request_method="GET", permission="Taxes",
    )
    config.add_route("taxes_id", "/taxes/{id}")
    config.add_view(
        "barker.views.home", route_name="taxes_id", request_method="GET", permission="Taxes",
    )
    config.add_route("taxes_list", "/taxes")
    config.add_view(
        "barker.views.home", route_name="taxes_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_users_new", "/v1/users/new")
    config.add_route("v1_users_id", "/v1/users/{id}")
    config.add_route("v1_users_list", "/v1/users")
    config.add_route("users_new", "/users/new")
    config.add_view(
        "barker.views.home", route_name="users_new", request_method="GET", permission="Users",
    )
    config.add_route("users_id", "/users/{id}")
    config.add_view(
        "barker.views.home", route_name="users_id", request_method="GET", permission="Users",
    )
    config.add_route("users_list", "/users")
    config.add_view(
        "barker.views.home", route_name="users_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_vouchers_new", "/v1/vouchers/new")
    config.add_route("v1_vouchers_id", "/v1/vouchers/{id}")

    config.add_route("sales", "/sales")
    config.add_view(
        "barker.views.home", route_name="sales", request_method="GET", permission="Authenticated",
    )
    config.add_route("sales_catch", "/sales/*rest")
    config.add_view(
        "barker.views.home", route_name="sales_catch", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_move_table", "/v1/move-table")
    config.add_route("v1_move_kot", "/v1/move-kot")

    config.add_route("v1_active_cashiers", "/v1/active-cashiers")
    config.add_route("v1_cashier_report_id", "/v1/cashier-report/{id}")
    config.add_route("cashier_report_id", "/cashier-report/{id}")
    config.add_view(
        "barker.views.home", route_name="cashier_report_id", request_method="GET", permission="Cashier Checkout",
    )
    config.add_route("v1_cashier_report", "/v1/cashier-report")
    config.add_route("cashier_report", "/cashier-report")
    config.add_view(
        "barker.views.home", route_name="cashier_report", request_method="GET", permission="Cashier Checkout",
    )

    config.add_route("v1_sale_report", "/v1/sale-report")
    config.add_route("sale_report", "/sale-report")
    config.add_view(
        "barker.views.home", route_name="sale_report", request_method="GET", permission="Sales Analysis",
    )
    config.add_route("v1_tax_report", "/v1/tax-report")
    config.add_route("tax_report", "/tax-report")
    config.add_view(
        "barker.views.home", route_name="tax_report", request_method="GET", permission="Tax Analysis",
    )

    config.add_route("v1_product_sale_report", "/v1/product-sale-report")
    config.add_route("product_sale_report", "/product-sale-report")
    config.add_view(
        "barker.views.home", route_name="product_sale_report", request_method="GET", permission="Sales Detail",
    )
    config.add_route("v1_bill_settlement_report", "/v1/bill-settlement-report")
    config.add_route("bill_settlement_report", "/bill-settlement-report")
    config.add_view(
        "barker.views.home", route_name="bill_settlement_report", request_method="GET", permission="Bill Details",
    )

    config.add_route("v1_beer_consumption_report", "/v1/beer-consumption-report")
    config.add_route("beer_consumption_report", "/beer-consumption-report")
    config.add_view(
        "barker.views.home", route_name="beer_consumption_report", request_method="GET", permission="Beer Consumption",
    )

    config.add_route("v1_discount_report", "/v1/discount-report")
    config.add_route("discount_report", "/discount-report")
    config.add_view(
        "barker.views.home", route_name="discount_report", request_method="GET", permission="Discount Report",
    )

    # config.add_route("v1_bills_new", "/v1/bills/new")
    # config.add_route("v1_bills_id", "/v1/bills/{id}")

    config.add_route("v1_customers_new", "/v1/customers/new")
    config.add_route("v1_customers_id", "/v1/customers/{id}")
    config.add_route("v1_customers_list", "/v1/customers")
    config.add_route("customers_new", "/customers/new")
    config.add_view(
        "barker.views.home", route_name="customers_new", request_method="GET", permission="Customers",
    )
    config.add_route("customers_id", "/customers/{id}")
    config.add_view(
        "barker.views.home", route_name="customers_id", request_method="GET", permission="Customers",
    )
    config.add_route("customers_list", "/customers")
    config.add_view(
        "barker.views.home", route_name="customers_list", request_method="GET", permission="Authenticated",
    )

    config.add_route("v1_reprint", "/v1/reprint/{id}")
    config.add_route("v1_settings_id", "/v1/settings/{id}")

    config.add_static_view("", "barker:static")
