import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { BeerConsumptionReportResolver } from './beer-consumption-report-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { BeerConsumptionReportComponent } from './beer-consumption-report.component';

const beerConsumptionReportRoutes: Routes = [
  {
    path: '',
    component: BeerConsumptionReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Beer Consumption Report'
    },
    resolve: {
      info: BeerConsumptionReportResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(beerConsumptionReportRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    BeerConsumptionReportResolver
  ]
})
export class BeerConsumptionReportRoutingModule {
}
