import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';
import { CashierReportService } from './cashier-report.service';
import { User } from '../core/user';

@Injectable({
  providedIn: 'root'
})
export class ActiveCashiersResolver implements Resolve<User[]> {

  constructor(private ser: CashierReportService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<User[]> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.activeCashiers(startDate, finishDate);
  }
}
