import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { CashierReportResolver } from './cashier-report-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { CashierReportComponent } from './cashier-report.component';
import { ActiveCashiersResolver } from './active-cashiers-resolver.service';

const cashierReportRoutes: Routes = [
  {
    path: '',
    component: CashierReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cashier Report'
    },
    resolve: {
      info: CashierReportResolver,
      cashiers: ActiveCashiersResolver
    },
    runGuardsAndResolvers: 'always'
  },
  {
    path: ':id',
    component: CashierReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cashier Report'
    },
    resolve: {
      info: CashierReportResolver,
      cashiers: ActiveCashiersResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(cashierReportRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    CashierReportResolver
  ]
})
export class CashierReportRoutingModule {
}
