import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { TaxReportResolver } from './tax-report-resolver.service';
import { AuthGuard } from '../auth/auth-guard.service';
import { TaxReportComponent } from './tax-report.component';

const taxReportRoutes: Routes = [
  {
    path: '',
    component: TaxReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Tax Report'
    },
    resolve: {
      info: TaxReportResolver
    },
    runGuardsAndResolvers: 'always'
  }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(taxReportRoutes)

  ],
  exports: [
    RouterModule
  ],
  providers: [
    TaxReportResolver
  ]
})
export class TaxReportRoutingModule {
}
